<nz-modal 
    [(nzVisible)]="isSignUpVisible" 
    nzWidth="55%"
    nzTitle="Sign Up"
    (nzOnCancel)="onCancel()">
    <div 
        class="w-full h-full"
        fxLayout="column"
        fxLayoutAlign="center center">
        <form 
            nzForm
            class="w-3/4">
            <nz-form-item>
                <nz-form-control>
                    <nz-input-group nzPrefixIcon="mdi:discord">
                        <input
                            nz-input 
                            name="discord"
                            type="text"
                            placeholder="Discord ID" />
                    </nz-input-group>
                </nz-form-control>
            </nz-form-item>
            <div 
                fxLayout="row"
                fxLayoutAlign="space-between center">
                <nz-form-item 
                    class="margin-none"
                    fxFlex="45">
                    <nz-form-control>
                        <nz-input-group>
                            <nz-date-picker 
                                formControlName="datePicker">
                            </nz-date-picker>
                        </nz-input-group>
                    </nz-form-control>
                </nz-form-item>
                <nz-form-item 
                    class="margin-none"
                    fxFlex="45">
                    <nz-form-control>
                        <nz-input-group>
                            <nz-select
                                class="w-full"
                                name="gender-select"
                                nzPlaceHolder="Select a option and change input text above"
                                (ngModelChange)="genderChange($event)">
                                <nz-option 
                                    nzValue="female" 
                                    nzLabel="Female">
                                </nz-option>
                                <nz-option 
                                    nzValue="male" 
                                    nzLabel="Male">
                                </nz-option>
                                <nz-option 
                                    nzValue="unspecified" 
                                    nzLabel="Rather not specify">
                                </nz-option>
                              </nz-select>
                        </nz-input-group>
                    </nz-form-control>
                </nz-form-item>
            </div>
            <nz-divider nzText="Sign In information"></nz-divider>
            <nz-form-item>
                <nz-form-control>
                    <nz-input-group nzPrefixIcon="mdi:account">
                        <input
                            nz-input 
                            name="email"
                            type="email"
                            placeholder="Email" />
                    </nz-input-group>
                </nz-form-control>
            </nz-form-item>
            <nz-form-item>
                <nz-form-control>
                    <nz-input-group nzPrefixIcon="mdi:lock">
                        <input 
                            nz-input 
                            name="password"
                            type="password" 
                            placeholder="Password" />
                    </nz-input-group>
                </nz-form-control>
            </nz-form-item>
            <nz-form-item>
                <nz-form-control>
                    <nz-input-group nzPrefixIcon="mdi:lock">
                        <input 
                            nz-input 
                            name="password-verify"
                            type="password" 
                            placeholder="Password" />
                    </nz-input-group>
                </nz-form-control>
            </nz-form-item>
        </form>
    </div>
    <div *nzModalFooter>
        <button 
            nz-button
            nzType="default" 
            (click)="onCancel()">
            Cancel
        </button>
        <button 
            nz-button
            nzType="primary"
            (click)="onSignUp()">
            Sign In
        </button>
    </div>
</nz-modal>

